Loading...
Searching...
No Matches
com::lomiri::content::Hub Class Reference

`#include <com/lomiri/content/hub.h>`

Inheritance diagram for com::lomiri::content::Hub:
Collaboration diagram for com::lomiri::content::Hub:

## Classes

struct | Client

## Signals

void | pasteFormatsChanged ()
void | pasteboardChanged ()

## Public Member Functions

| Hub (const Hub &)=delete
virtual | ~Hub ()
Hub & | operator= (const Hub &)=delete
virtual Q_INVOKABLE void | register_import_export_handler (ImportExportHandler *handler)
virtual Q_INVOKABLE const Store * | store_for_scope_and_type (Scope scope, Type type)
virtual Q_INVOKABLE Peer | default_source_for_type (Type type)
virtual Q_INVOKABLE QVector< Peer > | known_sources_for_type (Type type)
virtual Q_INVOKABLE QVector< Peer > | known_destinations_for_type (Type type)
virtual Q_INVOKABLE QVector< Peer > | known_shares_for_type (Type type)
virtual Q_INVOKABLE Transfer * | create_import_from_peer (Peer peer)
virtual Q_INVOKABLE Transfer * | create_export_to_peer (Peer peer)
virtual Q_INVOKABLE Transfer * | create_share_to_peer (Peer peer)
virtual Q_INVOKABLE void | quit ()
virtual Q_INVOKABLE Transfer * | create_import_from_peer_for_type (Peer peer, Type type)
virtual Q_INVOKABLE Transfer * | create_export_to_peer_for_type (Peer peer, Type type)
virtual Q_INVOKABLE Transfer * | create_share_to_peer_for_type (Peer peer, Type type)
virtual Q_INVOKABLE bool | has_pending (QString peer_id)
virtual Q_INVOKABLE Peer | peer_for_app_id (QString app_id)
QDBusPendingCall | createPaste (const QString &surfaceId, const QMimeData &data)
QDBusPendingCall | requestLatestPaste (const QString &surfaceId)
QDBusPendingCall | requestPasteById (const QString &surfaceId, int pasteId)
QMimeData * | paste (QDBusPendingCall requestPeply)
bool | createPasteSync (const QString &surfaceId, const QMimeData &data)
QMimeData * | latestPaste (const QString &surfaceId)
QMimeData * | pasteById (const QString &surfaceId, int id)
QStringList | pasteFormats ()

## Protected Member Functions

| Hub (QObject *=nullptr)

## Properties

QStringList | pasteFormats

## Detailed Description

Definition at line 41 of file hub.h.

## Constructor & Destructor Documentation

## Hub() [1/2]

com::lomiri::content::Hub::Hub | ( | const Hub & |  | ) |

delete

References Hub().

Referenced by Hub(), Hub(), com::lomiri::content::Hub::Client::instance(), and operator=().

Here is the call graph for this function:

## ~Hub()

virtual com::lomiri::content::Hub::~Hub | ( |  | ) |

virtual

## Hub() [2/2]

com::lomiri::content::Hub::Hub | ( | QObject * | = nullptr | ) |

protected

References Hub().

Here is the call graph for this function:

## Member Function Documentation

## create_export_to_peer()

virtual Q_INVOKABLE Transfer * com::lomiri::content::Hub::create_export_to_peer | ( | Peer | peer | ) |

virtual

References create_export_to_peer().

Referenced by create_export_to_peer().

Here is the call graph for this function:

## create_export_to_peer_for_type()

virtual Q_INVOKABLE Transfer * com::lomiri::content::Hub::create_export_to_peer_for_type | ( | Peer | peer,
|  | Type | type )

virtual

References create_export_to_peer_for_type().

Referenced by create_export_to_peer_for_type().

Here is the call graph for this function:

## create_import_from_peer()

virtual Q_INVOKABLE Transfer * com::lomiri::content::Hub::create_import_from_peer | ( | Peer | peer | ) |

virtual

References create_import_from_peer().

Referenced by create_import_from_peer().

Here is the call graph for this function:

## create_import_from_peer_for_type()

virtual Q_INVOKABLE Transfer * com::lomiri::content::Hub::create_import_from_peer_for_type | ( | Peer | peer,
|  | Type | type )

virtual

References create_import_from_peer_for_type().

Referenced by create_import_from_peer_for_type().

Here is the call graph for this function:

## create_share_to_peer()

virtual Q_INVOKABLE Transfer * com::lomiri::content::Hub::create_share_to_peer | ( | Peer | peer | ) |

virtual

References create_share_to_peer().

Referenced by create_share_to_peer().

Here is the call graph for this function:

## create_share_to_peer_for_type()

virtual Q_INVOKABLE Transfer * com::lomiri::content::Hub::create_share_to_peer_for_type | ( | Peer | peer,
|  | Type | type )

virtual

References create_share_to_peer_for_type().

Referenced by create_share_to_peer_for_type().

Here is the call graph for this function:

## createPaste()

QDBusPendingCall com::lomiri::content::Hub::createPaste | ( | const QString & | surfaceId,
|  | const QMimeData & | data )

References createPaste().

Referenced by createPaste().

Here is the call graph for this function:

## createPasteSync()

bool com::lomiri::content::Hub::createPasteSync | ( | const QString & | surfaceId,
|  | const QMimeData & | data )

References createPasteSync().

Referenced by createPasteSync().

Here is the call graph for this function:

## default_source_for_type()

virtual Q_INVOKABLE Peer com::lomiri::content::Hub::default_source_for_type | ( | Type | type | ) |

virtual

References default_source_for_type().

Referenced by default_source_for_type().

Here is the call graph for this function:

## has_pending()

virtual Q_INVOKABLE bool com::lomiri::content::Hub::has_pending | ( | QString | peer_id | ) |

virtual

References has_pending().

Referenced by has_pending().

Here is the call graph for this function:

## known_destinations_for_type()

virtual Q_INVOKABLE QVector< Peer > com::lomiri::content::Hub::known_destinations_for_type | ( | Type | type | ) |

virtual

References known_destinations_for_type().

Referenced by known_destinations_for_type().

Here is the call graph for this function:

## known_shares_for_type()

virtual Q_INVOKABLE QVector< Peer > com::lomiri::content::Hub::known_shares_for_type | ( | Type | type | ) |

virtual

References known_shares_for_type().

Referenced by known_shares_for_type().

Here is the call graph for this function:

## known_sources_for_type()

virtual Q_INVOKABLE QVector< Peer > com::lomiri::content::Hub::known_sources_for_type | ( | Type | type | ) |

virtual

References known_sources_for_type().

Referenced by known_sources_for_type().

Here is the call graph for this function:

## latestPaste()

QMimeData * com::lomiri::content::Hub::latestPaste | ( | const QString & | surfaceId | ) |

References latestPaste().

Referenced by latestPaste().

Here is the call graph for this function:

## operator=()

Hub & com::lomiri::content::Hub::operator= | ( | const Hub & |  | ) |

delete

References Hub().

Here is the call graph for this function:

## paste()

QMimeData * com::lomiri::content::Hub::paste | ( | QDBusPendingCall | requestPeply | ) |

References paste().

Referenced by paste().

Here is the call graph for this function:

## pasteboardChanged

void com::lomiri::content::Hub::pasteboardChanged | ( |  | ) |

signal

References pasteboardChanged().

Referenced by pasteboardChanged().

Here is the call graph for this function:

## pasteById()

QMimeData * com::lomiri::content::Hub::pasteById | ( | const QString & | surfaceId,
|  | int | id )

References pasteById().

Referenced by pasteById().

Here is the call graph for this function:

## pasteFormats()

QStringList com::lomiri::content::Hub::pasteFormats | ( |  | ) |

References pasteFormats.

## pasteFormatsChanged

void com::lomiri::content::Hub::pasteFormatsChanged | ( |  | ) |

signal

References pasteFormatsChanged().

Referenced by pasteFormatsChanged().

Here is the call graph for this function:

## peer_for_app_id()

virtual Q_INVOKABLE Peer com::lomiri::content::Hub::peer_for_app_id | ( | QString | app_id | ) |

virtual

References peer_for_app_id().

Referenced by peer_for_app_id().

Here is the call graph for this function:

## quit()

virtual Q_INVOKABLE void com::lomiri::content::Hub::quit | ( |  | ) |

virtual

References quit().

Referenced by quit().

Here is the call graph for this function:

## register_import_export_handler()

virtual Q_INVOKABLE void com::lomiri::content::Hub::register_import_export_handler | ( | ImportExportHandler * | handler | ) |

virtual

## requestLatestPaste()

QDBusPendingCall com::lomiri::content::Hub::requestLatestPaste | ( | const QString & | surfaceId | ) |

References requestLatestPaste().

Referenced by requestLatestPaste().

Here is the call graph for this function:

## requestPasteById()

QDBusPendingCall com::lomiri::content::Hub::requestPasteById | ( | const QString & | surfaceId,
|  | int | pasteId )

References requestPasteById().

Referenced by requestPasteById().

Here is the call graph for this function:

## store_for_scope_and_type()

virtual Q_INVOKABLE const Store * com::lomiri::content::Hub::store_for_scope_and_type | ( | Scope | scope,
|  | Type | type )

virtual

References store_for_scope_and_type().

Referenced by store_for_scope_and_type().

Here is the call graph for this function:

## Property Documentation

## pasteFormats

QStringList com::lomiri::content::Hub::pasteFormats

read

Definition at line 44 of file hub.h.

Referenced by pasteFormats().

The documentation for this class was generated from the following file:

- include/com/lomiri/content/hub.h